Package org.apache.sling.discovery.commons.providers.spi.base

# Class ClusterSyncHistory

java.lang.Object
org.apache.sling.discovery.commons.providers.spi.base.ClusterSyncHistory

public class ClusterSyncHistory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<org.apache.sling.discovery.commons.providers.spi.base.ClusterSyncHistory.HistoryEntry>`
`history`

## Constructor Summary

Constructors
Constructor
Description
`ClusterSyncHistory()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addHistoryEntry(BaseTopologyView view, String msg)`
`List<String>`
`getSyncHistory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### history

protected List<org.apache.sling.discovery.commons.providers.spi.base.ClusterSyncHistory.HistoryEntry> history

## Constructor Details

### ClusterSyncHistory

public ClusterSyncHistory()

## Method Details

### getSyncHistory

public List<String> getSyncHistory()

### addHistoryEntry

protected void addHistoryEntry(BaseTopologyView view, String msg)